package com.bonus.canteen.core.marketing.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.marketing.dto.MktEffectiveAddDTO;
import com.bonus.canteen.core.marketing.dto.MktEffectiveEditDTO;
import com.bonus.canteen.core.marketing.model.MktEffective;
import com.bonus.canteen.core.marketing.vo.*;
import com.bonus.canteen.core.drp.vo.DrpWarehouseAllVO;

import java.util.List;

/** @deprecated */
@Deprecated
public interface MktEffectiveService extends IService<MktEffective> {
   void addMktEffective(MktEffectiveAddDTO effectiveAddDTO);

   Page<MktEffectivePageVO> getMktEffectivePage(String content);

   void editMktEffective(MktEffectiveEditDTO effectiveEditDTO);

   MktEffectiveByEffIdVO getMktEffectiveByEffId(Long effId);

   MktEffectiveByEffIdOrgVO getMktEffectiveByEffIdOrgType(Long effId);

   MktEffectivePermissionVO filterCanteenDataPermission(Long canteenIdDTO, Long shopstallIdDTO, List<MktEffectiveCanteenPageVO> canteenList);

   Boolean checkCustIdEff(Long custId, Long effId);

   List<Long> getOrgIdListByUser();

   List<DrpWarehouseAllVO> getAllDrpWarehouse();

   List<DrpWarehouseAllVO> getTenantWarehouse();
}
